AbstractSecurityContextInInterceptor (Apache CXF JavaDoc 3.6.11 API)

Package org.apache.cxf.interceptor.security

## Class AbstractSecurityContextInInterceptor

- java.lang.Object
- - org.apache.cxf.phase.AbstractPhaseInterceptor<Message>
  - - org.apache.cxf.interceptor.security.AbstractSecurityContextInInterceptor

- All Implemented Interfaces:
    `Interceptor<Message>`, `PhaseInterceptor<Message>`
  Direct Known Subclasses:
    `AbstractUsernameTokenInInterceptor`

      public abstract class AbstractSecurityContextInInterceptor
      extends AbstractPhaseInterceptor<Message>

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `AbstractSecurityContextInInterceptor()` |

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `protected SecurityContext` | `createSecurityContext​(Principal p, Subject subject)` |
    `protected abstract Subject` | `createSubject​(SecurityToken token)` |
    `protected Principal` | `getPrincipal​(Principal originalPrincipal, Subject subject)` |
    `void` | `handleMessage​(Message message)` | Intercepts a message.
    `protected void` | `reportSecurityException​(String errorMessage)` |

    - ### Methods inherited from class org.apache.cxf.phase.AbstractPhaseInterceptor

      `addAfter, addAfter, addBefore, addBefore, getAdditionalInterceptors, getAfter, getBefore, getId, getPhase, handleFault, isGET, isRequestor, setAfter, setBefore`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AbstractSecurityContextInInterceptor

          public AbstractSecurityContextInInterceptor()

  - ### Method Detail

    - #### handleMessage

          public void handleMessage​(Message message)

      Description copied from interface: `Interceptor`
      Intercepts a message. Interceptors should NOT invoke handleMessage or handleFault on the next interceptor - the interceptor chain will take care of this.

    - #### getPrincipal

          protected Principal getPrincipal​(Principal originalPrincipal,
                                           Subject subject)

    - #### createSecurityContext

          protected SecurityContext createSecurityContext​(Principal p,
                                                          Subject subject)

    - #### createSubject

          protected abstract Subject createSubject​(SecurityToken token)

    - #### reportSecurityException

          protected void reportSecurityException​(String errorMessage)